#!/bin/bash
### BEGIN INIT INFO
#
# Provides:             dump1090
# Required-Start:       $remote_fs
# Required-Stop:        $remote_fs
# Default-Start:        2 3 4 5
# Default-Stop:         0 1 6
# Short-Description:    dump1090 initscript

#
### END INIT INFO
## Fill in name of program here.
PATH=/bin:/usr/bin:/sbin:/usr/sbin
DESC="dump1090 service"
NAME=dump1090
RUNDIR=/home/simon/dump1090
DAEMON=$RUNDIR/dump1090
EXTRA_OPTS="--quiet --net --no-fix --net-ro-size 500 --net-ro-rate 5"
PIDFILE=/var/run/dump1090.pid
SCRIPTNAME=/etc/init.d/"$NAME"

test -f $DAEMON || exit 0

. /lib/lsb/init-functions

case "$1" in
start)  log_daemon_msg "Starting dump1090 service" "dump1090"
        start-stop-daemon --start --quiet --oknodo --pidfile $PIDFILE --make-pidfile --chdir $RUNDIR --background --startas $DAEMON -- $EXTRA_OPTS
        log_end_msg $?
        ;;
stop)   log_daemon_msg "Stopping dump1090 service" "dump1090"
        start-stop-daemon --stop --quiet --oknodo --pidfile $PIDFILE
        RETVAL=$?
        [ $RETVAL -eq 0 ] && [ -e "$PIDFILE" ] && rm -f $PIDFILE
        log_end_msg $RETVAL
        ;;
restart) log_daemon_msg "Restarting dump1090 service" "dump1090"
        $0 stop
        $0 start
        ;;
reload|force-reload) log_daemon_msg "Reloading configuration files for dump1090 service" "dump1090"
        $0 stop
        $0 start
        ;;
status)
        status_of_proc -p $PIDFILE $DAEMON $NAME && exit 0 || exit $?
        ;;
*)      log_action_msg "Usage: /etc/init.d/dump1090 {start|stop|status|restart|reload|force-reload}"
        exit 2
        ;;
esac
exit 0
